# Visualization
TKV3d
Select3D

# Select3D_SensitiveFace Class Reference

Sensitive Entity to make a face selectable.
.

`#include <Select3D_SensitiveFace.hxx>`

Inheritance diagram for Select3D_SensitiveFace:

[legend]

## Public Member Functions

Standard_EXPORT | Select3D_SensitiveFace (const Handle(SelectBasics_EntityOwner)&OwnerId, const TColgp_Array1OfPnt &ThePoints, const Select3D_TypeOfSensitivity Sensitivity=Select3D_TOS_INTERIOR)
| Constructs a sensitive face object defined by the owner OwnerId, the array of points ThePoints, and the sensitivity type Sensitivity. The array of points is the outer polygon of the geometric face. .
Standard_EXPORT | Select3D_SensitiveFace (const Handle(SelectBasics_EntityOwner)&OwnerId, const Handle(TColgp_HArray1OfPnt)&ThePoints, const Select3D_TypeOfSensitivity Sensitivity=Select3D_TOS_INTERIOR)
| Constructs a sensitive face object defined by the owner OwnerId, the array of points ThePoints, and the sensitivity type Sensitivity. The array of points is the outer polygon of the geometric face. .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| Matches the coordinates X, Y with the entity found at that point within the tolerance aTol and the minimum depth DMin. You must redefine this function for every inheriting entity. You will have to call this framework inside the redefined function. .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)

Matches the box defined by the coordinates Xmin,
Ymin, Xmax, Ymax with the entity found at that point
within the tolerance aTol.
Xmin, YMin define the minimum point in the lower left
hand corner of the box, and XMax, YMax define the
maximum point in the upper right hand corner of the box.
You must redefine this function for every inheriting entity.
You will have to call this framework inside the redefined function.
.

virtual Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| prevents from hiding virtual methods...
Standard_EXPORT Standard_Real | ComputeDepth (const gp_Lin &EyeLine) const
| Returns the depth of this object on the line EyeLine. EyeLine goes through the eye towards a point defined by the coordinates X,Y in the function GetEyeLine. //! gives an abcissa on <alin> . <alin> represents the line going through the eye towards an X,Y point on the screen. This Method must return a mean Depth on this line. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S, const Standard_Boolean FullDump=Standard_True) const
| 2 options : <fulldump> = False -> general information <fulldump> = True -> whole informtion 3D +2d ...
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Select3D_TypeOfSensitivity | mytype
Standard_Boolean | myautointer
Standard_Integer | myDetectedIndex

## Constructor & Destructor Documentation

Standard_EXPORT Select3D_SensitiveFace::Select3D_SensitiveFace | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const TColgp_Array1OfPnt & | ThePoints,
|  | const Select3D_TypeOfSensitivity | Sensitivity = `Select3D_TOS_INTERIOR`
| ) |

Standard_EXPORT Select3D_SensitiveFace::Select3D_SensitiveFace | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId,
|  | const Handle(TColgp_HArray1OfPnt)& | ThePoints,
|  | const Select3D_TypeOfSensitivity | Sensitivity = `Select3D_TOS_INTERIOR`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Select3D_SensitiveFace::ComputeDepth | ( | const gp_Lin & | EyeLine | ) | const`[virtual]`

| Implements Select3D_SensitiveEntity.

virtual Standard_EXPORT void Select3D_SensitiveFace::Dump | ( | Standard_OStream & | S,
|  | const Standard_Boolean | FullDump = `Standard_True`
| ) | const`[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

Standard_EXPORT const Select3D_SensitiveFace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select3D_SensitivePoly. Reimplemented in MeshVS_SensitiveFace.

virtual Standard_EXPORT Standard_Boolean Select3D_SensitiveFace::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity. Reimplemented in MeshVS_SensitiveFace.

virtual Standard_EXPORT Standard_Boolean Select3D_SensitiveFace::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity. Reimplemented in MeshVS_SensitiveFace.

virtual Standard_EXPORT Standard_Boolean Select3D_SensitiveFace::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveEntity.

## Field Documentation

Standard_Boolean Select3D_SensitiveFace::myautointer `[private]`

Standard_Integer Select3D_SensitiveFace::myDetectedIndex `[private]`

Select3D_TypeOfSensitivity Select3D_SensitiveFace::mytype `[private]`

The documentation for this class was generated from the following file:

- Select3D_SensitiveFace.hxx